    import {BpfLoader} from '@solana/web3'

public class | source

# BpfLoader

Factory class for transactions to interact with a program loader

## Static Member Summary

Static Public Members
public static get | programId: PublicKey Public key that identifies the BpfLoader |

## Static Method Summary

Static Public Methods
public static | getMinNumSignatures(dataLength: number): number Minimum number of signatures required to load a program not including retries |
public static | load(connection: Connection, payer: Account, program: Account, elf: Buffer | Uint8Array | Array<number>): Promise<PublicKey> Load a BPF program |

## Static Public Members

### public static get programId: PublicKey source

Public key that identifies the BpfLoader

## Static Public Methods

### public static getMinNumSignatures(dataLength: number): number source

Minimum number of signatures required to load a program not including retries

Can be used to calculate transaction fees

#### Params:

Name | Type | Attribute | Description
dataLength | number |  |

#### Return:

number

### public static load(connection: Connection, payer: Account, program: Account, elf: Buffer | Uint8Array | Array<number>): Promise<PublicKey> source

Load a BPF program

#### Params:

Name | Type | Attribute | Description
connection | Connection |  | The connection to use
payer | Account |  | Account that will pay program loading fees
program | Account |  | Account to load the program into
elf | Buffer | Uint8Array | Array<number> |  | The entire ELF containing the BPF program

#### Return:

Promise<PublicKey>